<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.streambase</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;streambase
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module streambase</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.streambase-pysrc.html">source&nbsp;code</a></span></p>
<p>Core XMPP stream functionality.</p>
<dl class="rst-docutils">
<dt>Normative reference:</dt>
<dd><ul class="rst-first rst-last rst-simple">
<li><a class="rst-reference external" href="http://www.ietf.org/rfc/rfc3920.txt" target="_top">RFC 3920</a></li>
</ul>
</dd>
</dl>

<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.streambase.StreamBase-class.html" class="summary-name">StreamBase</a><br />
      Base class for a generic XMPP stream.
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="stanza_factory"></a><span class="summary-sig-name">stanza_factory</span>(<span class="summary-sig-arg">xmlnode</span>,
        <span class="summary-sig-arg">stream</span>=<span class="summary-sig-default">None</span>)</span><br />
      Creates Iq, Message or Presence object for XML stanza <code class="link">xmlnode</code></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.streambase-pysrc.html#stanza_factory">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="STREAM_NS"></a><span class="summary-name">STREAM_NS</span> = <code title="'http://etherx.jabber.org/streams'"><code class="variable-quote">'</code><code class="variable-string">http://etherx.jabber.org/streams</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="BIND_NS"></a><span class="summary-name">BIND_NS</span> = <code title="'urn:ietf:params:xml:ns:xmpp-bind'"><code class="variable-quote">'</code><code class="variable-string">urn:ietf:params:xml:ns:xmpp-bind</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'pyxmpp'"><code class="variable-quote">'</code><code class="variable-string">pyxmpp</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<p class="indent-wrapped-lines"><b>Imports:</b>
  <span title="libxml2">libxml2</span>,
  <span title="socket">socket</span>,
  <span title="os">os</span>,
  <span title="time">time</span>,
  <span title="random">random</span>,
  <span title="threading">threading</span>,
  <span title="errno">errno</span>,
  <span title="logging">logging</span>,
  <a href="pyxmpp.xmlextra-module.html" title="pyxmpp.xmlextra">xmlextra</a>,
  <a href="pyxmpp.expdict.ExpiringDictionary-class.html" title="pyxmpp.expdict.ExpiringDictionary">ExpiringDictionary</a>,
  <a href="pyxmpp.utils-module.html#to_utf8" title="pyxmpp.utils.to_utf8">to_utf8</a>,
  <a href="pyxmpp.utils-module.html#from_utf8" title="pyxmpp.utils.from_utf8">from_utf8</a>,
  <a href="pyxmpp.stanza.Stanza-class.html" title="pyxmpp.stanza.Stanza">Stanza</a>,
  <a href="pyxmpp.error.StreamErrorNode-class.html" title="pyxmpp.error.StreamErrorNode">StreamErrorNode</a>,
  <a href="pyxmpp.iq.Iq-class.html" title="pyxmpp.iq.Iq">Iq</a>,
  <a href="pyxmpp.presence.Presence-class.html" title="pyxmpp.presence.Presence">Presence</a>,
  <a href="pyxmpp.message.Message-class.html" title="pyxmpp.message.Message">Message</a>,
  <a href="pyxmpp.jid.JID-class.html" title="pyxmpp.jid.JID">JID</a>,
  <a href="pyxmpp.resolver-module.html" title="pyxmpp.resolver">resolver</a>,
  <a href="pyxmpp.stanzaprocessor.StanzaProcessor-class.html" title="pyxmpp.stanzaprocessor.StanzaProcessor">StanzaProcessor</a>,
  <a href="pyxmpp.exceptions.StreamError-class.html" title="pyxmpp.exceptions.StreamError">StreamError</a>,
  <a href="pyxmpp.exceptions.StreamEncryptionRequired-class.html" title="pyxmpp.exceptions.StreamEncryptionRequired">StreamEncryptionRequired</a>,
  <a href="pyxmpp.exceptions.HostMismatch-class.html" title="pyxmpp.exceptions.HostMismatch">HostMismatch</a>,
  <a href="pyxmpp.exceptions.ProtocolError-class.html" title="pyxmpp.exceptions.ProtocolError">ProtocolError</a>,
  <a href="pyxmpp.exceptions.DNSError-class.html" title="pyxmpp.exceptions.DNSError">DNSError</a>,
  <a href="pyxmpp.exceptions.UnexpectedCNAMEError-class.html" title="pyxmpp.exceptions.UnexpectedCNAMEError">UnexpectedCNAMEError</a>,
  <a href="pyxmpp.exceptions.FatalStreamError-class.html" title="pyxmpp.exceptions.FatalStreamError">FatalStreamError</a>,
  <a href="pyxmpp.exceptions.StreamParseError-class.html" title="pyxmpp.exceptions.StreamParseError">StreamParseError</a>,
  <a href="pyxmpp.exceptions.StreamAuthenticationError-class.html" title="pyxmpp.exceptions.StreamAuthenticationError">StreamAuthenticationError</a>
</p><br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:58 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
